Index: tmp/org.txm.core/res/org/txm/jstest/jquery.selection.js
===================================================================
--- tmp/org.txm.core/res/org/txm/jstest/jquery.selection.js	(revision 0)
+++ tmp/org.txm.core/res/org/txm/jstest/jquery.selection.js	(revision 3022)
@@ -0,0 +1,354 @@
+/*!
+ * jQuery.selection - jQuery Plugin
+ *
+ * Copyright (c) 2010-2014 IWASAKI Koji (@madapaja).
+ * http://blog.madapaja.net/
+ * Under The MIT License
+ *
+ * Permission is hereby granted, free of charge, to any person obtaining
+ * a copy of this software and associated documentation files (the
+ * "Software"), to deal in the Software without restriction, including
+ * without limitation the rights to use, copy, modify, merge, publish,
+ * distribute, sublicense, and/or sell copies of the Software, and to
+ * permit persons to whom the Software is furnished to do so, subject to
+ * the following conditions:
+ *
+ * The above copyright notice and this permission notice shall be
+ * included in all copies or substantial portions of the Software.
+ *
+ * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND,
+ * EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF
+ * MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND
+ * NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT HOLDERS BE
+ * LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION
+ * OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN CONNECTION
+ * WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.
+ */
+(function($, win, doc) {
+    /**
+     * get caret status of the selection of the element
+     *
+     * @param   {Element}   element         target DOM element
+     * @return  {Object}    return
+     * @return  {String}    return.text     selected text
+     * @return  {Number}    return.start    start position of the selection
+     * @return  {Number}    return.end      end position of the selection
+     */
+    var _getCaretInfo = function(element){
+        var res = {
+            text: '',
+            start: 0,
+            end: 0
+        };
+
+        if (!element.value) {
+            /* no value or empty string */
+            return res;
+        }
+
+        try {
+            if (win.getSelection) {
+                /* except IE */
+                res.start = element.selectionStart;
+                res.end = element.selectionEnd;
+                res.text = element.value.slice(res.start, res.end);
+            } else if (doc.selection) {
+                /* for IE */
+                element.focus();
+
+                var range = doc.selection.createRange(),
+                    range2 = doc.body.createTextRange();
+
+                res.text = range.text;
+
+                try {
+                    range2.moveToElementText(element);
+                    range2.setEndPoint('StartToStart', range);
+                } catch (e) {
+                    range2 = element.createTextRange();
+                    range2.setEndPoint('StartToStart', range);
+                }
+
+                res.start = element.value.length - range2.text.length;
+                res.end = res.start + range.text.length;
+            }
+        } catch (e) {
+            /* give up */
+        }
+
+        return res;
+    };
+
+    /**
+     * caret operation for the element
+     * @type {Object}
+     */
+    var _CaretOperation = {
+        /**
+         * get caret position
+         *
+         * @param   {Element}   element         target element
+         * @return  {Object}    return
+         * @return  {Number}    return.start    start position for the selection
+         * @return  {Number}    return.end      end position for the selection
+         */
+        getPos: function(element) {
+            var tmp = _getCaretInfo(element);
+            return {start: tmp.start, end: tmp.end};
+        },
+
+        /**
+         * set caret position
+         *
+         * @param   {Element}   element         target element
+         * @param   {Object}    toRange         caret position
+         * @param   {Number}    toRange.start   start position for the selection
+         * @param   {Number}    toRange.end     end position for the selection
+         * @param   {String}    caret           caret mode: any of the following: "keep" | "start" | "end"
+         */
+        setPos: function(element, toRange, caret) {
+            caret = this._caretMode(caret);
+
+            if (caret === 'start') {
+                toRange.end = toRange.start;
+            } else if (caret === 'end') {
+                toRange.start = toRange.end;
+            }
+
+            element.focus();
+            try {
+                if (element.createTextRange) {
+                    var range = element.createTextRange();
+
+                    if (win.navigator.userAgent.toLowerCase().indexOf("msie") >= 0) {
+                        toRange.start = element.value.substr(0, toRange.start).replace(/\r/g, '').length;
+                        toRange.end = element.value.substr(0, toRange.end).replace(/\r/g, '').length;
+                    }
+
+                    range.collapse(true);
+                    range.moveStart('character', toRange.start);
+                    range.moveEnd('character', toRange.end - toRange.start);
+
+                    range.select();
+                } else if (element.setSelectionRange) {
+                    element.setSelectionRange(toRange.start, toRange.end);
+                }
+            } catch (e) {
+                /* give up */
+            }
+        },
+
+        /**
+         * get selected text
+         *
+         * @param   {Element}   element         target element
+         * @return  {String}    return          selected text
+         */
+        getText: function(element) {
+            return _getCaretInfo(element).text;
+        },
+
+        /**
+         * get caret mode
+         *
+         * @param   {String}    caret           caret mode
+         * @return  {String}    return          any of the following: "keep" | "start" | "end"
+         */
+        _caretMode: function(caret) {
+            caret = caret || "keep";
+            if (caret === false) {
+                caret = 'end';
+            }
+
+            switch (caret) {
+                case 'keep':
+                case 'start':
+                case 'end':
+                    break;
+
+                default:
+                    caret = 'keep';
+            }
+
+            return caret;
+        },
+
+        /**
+         * replace selected text
+         *
+         * @param   {Element}   element         target element
+         * @param   {String}    text            replacement text
+         * @param   {String}    caret           caret mode: any of the following: "keep" | "start" | "end"
+         */
+        replace: function(element, text, caret) {
+            var tmp = _getCaretInfo(element),
+                orig = element.value,
+                pos = $(element).scrollTop(),
+                range = {start: tmp.start, end: tmp.start + text.length};
+
+            element.value = orig.substr(0, tmp.start) + text + orig.substr(tmp.end);
+
+            $(element).scrollTop(pos);
+            this.setPos(element, range, caret);
+        },
+
+        /**
+         * insert before the selected text
+         *
+         * @param   {Element}   element         target element
+         * @param   {String}    text            insertion text
+         * @param   {String}    caret           caret mode: any of the following: "keep" | "start" | "end"
+         */
+        insertBefore: function(element, text, caret) {
+            var tmp = _getCaretInfo(element),
+                orig = element.value,
+                pos = $(element).scrollTop(),
+                range = {start: tmp.start + text.length, end: tmp.end + text.length};
+
+            element.value = orig.substr(0, tmp.start) + text + orig.substr(tmp.start);
+
+            $(element).scrollTop(pos);
+            this.setPos(element, range, caret);
+        },
+
+        /**
+         * insert after the selected text
+         *
+         * @param   {Element}   element         target element
+         * @param   {String}    text            insertion text
+         * @param   {String}    caret           caret mode: any of the following: "keep" | "start" | "end"
+         */
+        insertAfter: function(element, text, caret) {
+            var tmp = _getCaretInfo(element),
+                orig = element.value,
+                pos = $(element).scrollTop(),
+                range = {start: tmp.start, end: tmp.end};
+
+            element.value = orig.substr(0, tmp.end) + text + orig.substr(tmp.end);
+
+            $(element).scrollTop(pos);
+            this.setPos(element, range, caret);
+        }
+    };
+
+    /* add jQuery.selection */
+    $.extend({
+        /**
+         * get selected text on the window
+         *
+         * @param   {String}    mode            selection mode: any of the following: "text" | "html"
+         * @return  {String}    return
+         */
+        selection: function(mode) {
+            var getText = ((mode || 'text').toLowerCase() === 'text');
+
+            try {
+                if (win.getSelection) {
+                    if (getText) {
+                        // get text
+                        return win.getSelection().toString();
+                    } else {
+                        // get html
+                        var sel = win.getSelection(), range;
+
+                        if (sel.getRangeAt) {
+                            range = sel.getRangeAt(0);
+                        } else {
+                            range = doc.createRange();
+                            range.setStart(sel.anchorNode, sel.anchorOffset);
+                            range.setEnd(sel.focusNode, sel.focusOffset);
+                        }
+
+                        return $('<div></div>').append(range.cloneContents()).html();
+                    }
+                } else if (doc.selection) {
+                    if (getText) {
+                        // get text
+                        return doc.selection.createRange().text;
+                    } else {
+                        // get html
+                        return doc.selection.createRange().htmlText;
+                    }
+                }
+            } catch (e) {
+                /* give up */
+            }
+
+            return '';
+        }
+    });
+
+    /* add selection */
+    $.fn.extend({
+        selection: function(mode, opts) {
+            opts = opts || {};
+
+            switch (mode) {
+                /**
+                 * selection('getPos')
+                 * get caret position
+                 *
+                 * @return  {Object}    return
+                 * @return  {Number}    return.start    start position for the selection
+                 * @return  {Number}    return.end      end position for the selection
+                 */
+                case 'getPos':
+                    return _CaretOperation.getPos(this[0]);
+
+                /**
+                 * selection('setPos', opts)
+                 * set caret position
+                 *
+                 * @param   {Number}    opts.start      start position for the selection
+                 * @param   {Number}    opts.end        end position for the selection
+                 */
+                case 'setPos':
+                    return this.each(function() {
+                        _CaretOperation.setPos(this, opts);
+                    });
+
+                /**
+                 * selection('replace', opts)
+                 * replace the selected text
+                 *
+                 * @param   {String}    opts.text            replacement text
+                 * @param   {String}    opts.caret           caret mode: any of the following: "keep" | "start" | "end"
+                 */
+                case 'replace':
+                    return this.each(function() {
+                        _CaretOperation.replace(this, opts.text, opts.caret);
+                    });
+
+                /**
+                 * selection('insert', opts)
+                 * insert before/after the selected text
+                 *
+                 * @param   {String}    opts.text            insertion text
+                 * @param   {String}    opts.caret           caret mode: any of the following: "keep" | "start" | "end"
+                 * @param   {String}    opts.mode            insertion mode: any of the following: "before" | "after"
+                 */
+                case 'insert':
+                    return this.each(function() {
+                        if (opts.mode === 'before') {
+                            _CaretOperation.insertBefore(this, opts.text, opts.caret);
+                        } else {
+                            _CaretOperation.insertAfter(this, opts.text, opts.caret);
+                        }
+                    });
+
+                /**
+                 * selection('get')
+                 * get selected text
+                 *
+                 * @return  {String}    return
+                 */
+                case 'get':
+                    /* falls through */
+                default:
+                    return _CaretOperation.getText(this[0]);
+            }
+
+            return this;
+        }
+    });
+})(jQuery, window, window.document);
Index: tmp/org.txm.rcp/src/main/java/org/txm/rcp/editors/imports/sections/EditionSection.java
===================================================================
--- tmp/org.txm.rcp/src/main/java/org/txm/rcp/editors/imports/sections/EditionSection.java	(revision 3021)
+++ tmp/org.txm.rcp/src/main/java/org/txm/rcp/editors/imports/sections/EditionSection.java	(revision 3022)
@@ -27,19 +27,27 @@
 import org.w3c.dom.Element;
 
 public class EditionSection extends ImportEditorSection {
-
+	
 	String ID = "org.txm.rcp.editors.imports.sections.EditionSection";
-
+	
 	private static final int SECTION_SIZE = 1;
+	
 	Button buildDefaultEditionButton;
+	
 	Button paginateDefaultEditionButton;
+	
+	Button collapsibleMetadataDefaultEditionButton;
+	
 	Text wordsPerPageText;
+	
 	Text pageBreakText;
+	
 	Button buildFacsEditionCheckButton;
+	
 	Text imageDirectoryText;
-
+	
 	private Text defaultEditions;
-
+	
 	/**
 	 * 
 	 * @param toolkit2
@@ -52,7 +60,7 @@
 	 */
 	public EditionSection(FormToolkit toolkit2, ScrolledForm form2, Composite parent, int style, HashMap<String, Boolean> moduleParams, String scriptName) {
 		super(toolkit2, form2, parent, style);
-
+		
 		this.section.setText(TXMUIMessages.editions);
 		TableWrapLayout layout = new TableWrapLayout();
 		layout.makeColumnsEqualWidth = true;
@@ -60,43 +68,52 @@
 		this.section.setLayout(layout);
 		this.section.setLayoutData(getSectionGridData(SECTION_SIZE));
 		this.section.setEnabled(false);
-
+		
 		this.section.addExpansionListener(new ExpansionAdapter() {
+			
 			@Override
-			public void expansionStateChanged(ExpansionEvent e) {form.layout(true);}
+			public void expansionStateChanged(ExpansionEvent e) {
+				form.layout(true);
+			}
 		});
-
-		//filesection.setDescription("Select how to find source files");
+		
+		// filesection.setDescription("Select how to find source files");
 		Composite sectionClient = toolkit.createComposite(this.section);
 		TableWrapLayout slayout = new TableWrapLayout();
 		slayout.numColumns = 4;
 		sectionClient.setLayout(slayout);
 		this.section.setClient(sectionClient);
-
+		
 		// build text edition or not button
 		buildDefaultEditionButton = toolkit.createButton(sectionClient, TXMUIMessages.buildEdition, SWT.CHECK);
 		buildDefaultEditionButton.setSelection(true);
 		TableWrapData gdata2 = getButtonLayoutData();
 		gdata2.colspan = 4; // one line
 		buildDefaultEditionButton.setLayoutData(gdata2);
-
+		
 		paginateDefaultEditionButton = toolkit.createButton(sectionClient, "Paginate", SWT.CHECK);
 		paginateDefaultEditionButton.setSelection(true);
 		gdata2 = getButtonLayoutData();
 		gdata2.colspan = 4; // one line
 		paginateDefaultEditionButton.setLayoutData(gdata2);
 		
+		collapsibleMetadataDefaultEditionButton = toolkit.createButton(sectionClient, "Enable collapsible metadata", SWT.CHECK);
+		collapsibleMetadataDefaultEditionButton.setSelection(true);
+		gdata2 = getButtonLayoutData();
+		gdata2.colspan = 4; // one line
+		collapsibleMetadataDefaultEditionButton.setLayoutData(gdata2);
+		
 		// words per page -> pageSize
 		Label tmpLabel = null;
 		if (moduleParams.get(ImportModuleCustomization.EDITIONS_WORDSPERPAGE)) {
 			tmpLabel = toolkit.createLabel(sectionClient, TXMUIMessages.wordsPerPage);
 			tmpLabel.setLayoutData(getLabelGridData());
-
+			
 			wordsPerPageText = toolkit.createText(sectionClient, "500", SWT.BORDER); //$NON-NLS-1$
 			TableWrapData gdata = getTextGridData();
 			wordsPerPageText.setLayoutData(gdata);
 		}
-
+		
 		if (moduleParams.get(ImportModuleCustomization.EDITIONS_PAGEELEMENT)) {
 			// page break tag
 			tmpLabel = toolkit.createLabel(sectionClient, TXMUIMessages.pageBreakTag);
@@ -104,9 +121,9 @@
 			pageBreakText = toolkit.createText(sectionClient, "pb", SWT.BORDER); //$NON-NLS-1$
 			TableWrapData gdata = getTextGridData();
 			pageBreakText.setLayoutData(gdata);
-
+			
 			if ("xtzLoader.groovy".equals(scriptName)) {
-
+				
 				// build text edition or not button
 				buildFacsEditionCheckButton = toolkit.createButton(sectionClient, "Build 'facs' edition", SWT.CHECK);
 				buildFacsEditionCheckButton.setSelection(false);
@@ -114,11 +131,12 @@
 				gdata22.colspan = 4; // one line
 				buildFacsEditionCheckButton.setLayoutData(gdata22);
 				buildFacsEditionCheckButton.addSelectionListener(new SelectionListener() {
+					
 					@Override
 					public void widgetSelected(SelectionEvent e) {
 						imageDirectoryText.setEnabled(buildFacsEditionCheckButton.getSelection());
 					}
-
+					
 					@Override
 					public void widgetDefaultSelected(SelectionEvent e) {}
 				});
@@ -130,17 +148,19 @@
 				gdata.colspan = 2;
 				imageDirectoryText.setLayoutData(gdata);
 				imageDirectoryText.setEnabled(false);
-
+				
 				Button selectImageDirectoryButton = toolkit.createButton(sectionClient, "...", SWT.PUSH);
 				gdata = getButtonLayoutData();
 				selectImageDirectoryButton.setLayoutData(gdata);
 				selectImageDirectoryButton.addSelectionListener(new SelectionListener() {
+					
 					@Override
 					public void widgetSelected(SelectionEvent e) {
 						DirectoryDialog dialog = new DirectoryDialog(form.getShell(), SWT.OPEN);
 						if (LastOpened.getFile(ID) != null) {
 							dialog.setFilterPath(LastOpened.getFolder(ID));
-						} else {
+						}
+						else {
 							dialog.setFilterPath(Toolbox.getTxmHomePath());
 						}
 						if (dialog.open() != null) {
@@ -149,9 +169,9 @@
 							imageDirectoryText.setText(imgDirectory.getAbsolutePath());
 						}
 					}
-
+					
 					@Override
-					public void widgetDefaultSelected(SelectionEvent e) { }
+					public void widgetDefaultSelected(SelectionEvent e) {}
 				});
 			}
 		}
@@ -166,104 +186,106 @@
 			gdata.colspan = 2;
 			defaultEditions.setLayoutData(gdata);
 		}
-
+		
 		//// First draft of interface to add editions to a corpus
-		//		Button addButton = toolkit.createButton(sectionClient, Messages.CorpusPage_1, SWT.PUSH);
-		//		addButton.setLayoutData(new GridData(GridData.FILL, GridData.FILL, false, false));
-		//		addButton.addSelectionListener(new SelectionListener() {
-		//			@Override
-		//			public void widgetDefaultSelected(SelectionEvent e) {
-		//			}
+		// Button addButton = toolkit.createButton(sectionClient, Messages.CorpusPage_1, SWT.PUSH);
+		// addButton.setLayoutData(new GridData(GridData.FILL, GridData.FILL, false, false));
+		// addButton.addSelectionListener(new SelectionListener() {
+		// @Override
+		// public void widgetDefaultSelected(SelectionEvent e) {
+		// }
 		//
-		//			@Override
-		//			public void widgetSelected(SelectionEvent e) {
-		//				if (params == null) return;
-		//				LinkedHashMap<String, String> values = new LinkedHashMap<String, String>();
-		//				values.put("name", ""); //$NON-NLS-1$ //$NON-NLS-2$
-		//				values.put("mode", "groovy"); //$NON-NLS-1$ //$NON-NLS-2$
-		//				values.put("script", ""); //$NON-NLS-1$ //$NON-NLS-2$
+		// @Override
+		// public void widgetSelected(SelectionEvent e) {
+		// if (params == null) return;
+		// LinkedHashMap<String, String> values = new LinkedHashMap<String, String>();
+		// values.put("name", ""); //$NON-NLS-1$ //$NON-NLS-2$
+		// values.put("mode", "groovy"); //$NON-NLS-1$ //$NON-NLS-2$
+		// values.put("script", ""); //$NON-NLS-1$ //$NON-NLS-2$
 		//
-		//				MultipleValueDialog dlg = new MultipleValueDialog(form.getShell(), Messages.CorpusPage_1, values);
-		//				if (dlg.open() == Window.OK) {
-		//					params.addEditionDefinition(params.getCorpusElement(), values.get("name"), values.get("mode"), values.get("script")); //$NON-NLS-1$ //$NON-NLS-2$ //$NON-NLS-3$
-		//					updateEditionsSection();
-		//				}
-		//			}
-		//		});
+		// MultipleValueDialog dlg = new MultipleValueDialog(form.getShell(), Messages.CorpusPage_1, values);
+		// if (dlg.open() == Window.OK) {
+		// params.addEditionDefinition(params.getCorpusElement(), values.get("name"), values.get("mode"), values.get("script")); //$NON-NLS-1$ //$NON-NLS-2$ //$NON-NLS-3$
+		// updateEditionsSection();
+		// }
+		// }
+		// });
 		//
-		//		Button removeButton = toolkit.createButton(sectionClient, Messages.CorpusPage_2, SWT.PUSH);
-		//		removeButton.setLayoutData(new GridData(GridData.FILL, GridData.FILL, false, false));
-		//		removeButton.addSelectionListener(new SelectionListener() {
-		//			@Override
-		//			public void widgetDefaultSelected(SelectionEvent e) {
-		//			}
+		// Button removeButton = toolkit.createButton(sectionClient, Messages.CorpusPage_2, SWT.PUSH);
+		// removeButton.setLayoutData(new GridData(GridData.FILL, GridData.FILL, false, false));
+		// removeButton.addSelectionListener(new SelectionListener() {
+		// @Override
+		// public void widgetDefaultSelected(SelectionEvent e) {
+		// }
 		//
-		//			@Override
-		//			public void widgetSelected(SelectionEvent e) {
-		//				if (params == null) return;
-		//				ISelection sel = editionsViewer.getSelection();
-		//				IStructuredSelection ssel = (IStructuredSelection) sel;
-		//				Object obj = ssel.getFirstElement();
-		//				if (obj instanceof Element) {
-		//					Element query = (Element) obj;
-		//					params.getEditionsElement(params.getCorpusElement()).removeChild(query);
-		//					updateEditionsSection();
-		//				}
-		//			}
-		//		});
+		// @Override
+		// public void widgetSelected(SelectionEvent e) {
+		// if (params == null) return;
+		// ISelection sel = editionsViewer.getSelection();
+		// IStructuredSelection ssel = (IStructuredSelection) sel;
+		// Object obj = ssel.getFirstElement();
+		// if (obj instanceof Element) {
+		// Element query = (Element) obj;
+		// params.getEditionsElement(params.getCorpusElement()).removeChild(query);
+		// updateEditionsSection();
+		// }
+		// }
+		// });
 		//
-		//		Table table = toolkit.createTable(sectionClient, SWT.FULL_SELECTION | SWT.MULTI | SWT.V_SCROLL | SWT.VIRTUAL);
-		//		editionsViewer = new TableViewer(table);
-		//		editionsViewer.getTable().addKeyListener(new TableKeyListener(editionsViewer));
-		//		GridData gd = new GridData(GridData.FILL, GridData.FILL, false, false,2,1);
-		//		gd.heightHint = 150;
-		//		editionsViewer.getTable().setLayoutData(gd);
-		//		editionsViewer.setContentProvider(new NodeListContentProvider());
-		//		editionsViewer.getTable().setHeaderVisible(true);
-		//		editionsViewer.getTable().setLinesVisible(true);
+		// Table table = toolkit.createTable(sectionClient, SWT.FULL_SELECTION | SWT.MULTI | SWT.V_SCROLL | SWT.VIRTUAL);
+		// editionsViewer = new TableViewer(table);
+		// editionsViewer.getTable().addKeyListener(new TableKeyListener(editionsViewer));
+		// GridData gd = new GridData(GridData.FILL, GridData.FILL, false, false,2,1);
+		// gd.heightHint = 150;
+		// editionsViewer.getTable().setLayoutData(gd);
+		// editionsViewer.setContentProvider(new NodeListContentProvider());
+		// editionsViewer.getTable().setHeaderVisible(true);
+		// editionsViewer.getTable().setLinesVisible(true);
 		//
-		//		String[] cols = {"name", "mode", "script"}; //$NON-NLS-1$ //$NON-NLS-2$ //$NON-NLS-3$
-		//		for (String col : cols) {
-		//			TableViewerColumn columnViewer = new TableViewerColumn(editionsViewer, SWT.NONE);
-		//			TableColumn column = columnViewer.getColumn();
-		//			column.setText(col);
-		//			column.setWidth(100);
-		//			columnViewer.setLabelProvider(new ElementColumnLabelProvider(col));
-		//		}		
+		// String[] cols = {"name", "mode", "script"}; //$NON-NLS-1$ //$NON-NLS-2$ //$NON-NLS-3$
+		// for (String col : cols) {
+		// TableViewerColumn columnViewer = new TableViewerColumn(editionsViewer, SWT.NONE);
+		// TableColumn column = columnViewer.getColumn();
+		// column.setText(col);
+		// column.setWidth(100);
+		// columnViewer.setLabelProvider(new ElementColumnLabelProvider(col));
+		// }
 	}
-
+	
 	@Override
 	public void update(Project project) {
 		if (this.section.isDisposed()) return;
 		if (project == null) return;
-
+		
 		buildDefaultEditionButton.setSelection(!project.hasEditionDefinition("default"));
 		
 		if (project.hasEditionDefinition("default")) {
-
+			
 			EditionDefinition edition_params = project.getEditionDefinition("default");
 			boolean be = edition_params.getBuildEdition();
 			buildDefaultEditionButton.setSelection(be);
-
+			
 			boolean pe = edition_params.getPaginateEdition();
 			paginateDefaultEditionButton.setSelection(pe);
-
 			
-			int wppt = edition_params.getWordsPerPage(); //$NON-NLS-1$
-			wordsPerPageText.setText(""+wppt); //$NON-NLS-1$
-
-			String pbt = edition_params.getPageElement(); //$NON-NLS-1$
+			boolean ecm = edition_params.getEnableCollapsibleMetadata();
+			collapsibleMetadataDefaultEditionButton.setSelection(ecm);
+			
+			int wppt = edition_params.getWordsPerPage();
+			wordsPerPageText.setText("" + wppt); //$NON-NLS-1$
+			
+			String pbt = edition_params.getPageElement();
 			if (pageBreakText != null)
-				pageBreakText.setText(pbt);	
+				pageBreakText.setText(pbt);
 		}
-
+		
 		EditionDefinition edition_params = project.getEditionDefinition("facs");
 		boolean bfe = edition_params.getBuildEdition();
 		if (buildFacsEditionCheckButton != null && edition_params != null) {
 			buildFacsEditionCheckButton.setSelection(bfe);
 			imageDirectoryText.setEnabled(buildFacsEditionCheckButton.getSelection());
-
-			String imageDirectory = edition_params.getImagesDirectory(); //$NON-NLS-1$
+			
+			String imageDirectory = edition_params.getImagesDirectory();
 			if (imageDirectoryText != null && imageDirectory != null)
 				imageDirectoryText.setText(imageDirectory);
 		}
@@ -273,42 +295,45 @@
 			defaultEditions.setText(defaults);
 		}
 	}
-
+	
 	@Override
 	public boolean save(Project project) {
 		if (this.section != null && !this.section.isDisposed()) {
-
+			
 			String page_break_tag = "pb";
-
+			
 			if (pageBreakText != null) {
-				page_break_tag =  pageBreakText.getText(); //$NON-NLS-1$
+				page_break_tag = pageBreakText.getText();
 			}
 			int words_per_page = 500;
 			if (wordsPerPageText != null) {
-				words_per_page =  Integer.parseInt(wordsPerPageText.getText()); //$NON-NLS-1$
+				words_per_page = Integer.parseInt(wordsPerPageText.getText());
 			}
-
+			
 			boolean build = buildDefaultEditionButton.getSelection();
 			boolean paginate = paginateDefaultEditionButton.getSelection();
+			boolean collapsible = collapsibleMetadataDefaultEditionButton.getSelection();
 			EditionDefinition edition_params = project.getEditionDefinition("default");
 			edition_params.setName("default");
 			edition_params.setPageBreakTag(page_break_tag);
 			edition_params.setWordsPerPage(words_per_page);
 			edition_params.setBuildEdition(build);
 			edition_params.setPaginateEdition(paginate);
-
+			edition_params.setEnableCollapsible(collapsible);
+			
 			if (buildFacsEditionCheckButton != null) {
-
+				
 				String images_directory = "";
 				if (imageDirectoryText != null)
 					images_directory = imageDirectoryText.getText();
-
+				
 				build = buildFacsEditionCheckButton.getSelection();
-
+				
 				EditionDefinition edition_params2 = project.getEditionDefinition("facs");
 				edition_params2.setBuildEdition(build);
 				edition_params2.setImagesDirectory(images_directory);
-			} else {
+			}
+			else {
 				EditionDefinition edition_params2 = project.getEditionDefinition("facs");
 				edition_params2.setBuildEdition(false);
 			}
@@ -322,14 +347,14 @@
 		}
 		return true;
 	}
-
+	
 	@Override
 	public boolean checkFields() {
 		return true;
 	}
-
+	
 	@Override
 	public int getSectionSize() {
 		return SECTION_SIZE;
 	}
-}
\ No newline at end of file
+}
